### Method

# Cogl Pipeline set_layer_filters

#### Declaration [src]

    void
    cogl_pipeline_set_layer_filters (
      CoglPipeline* pipeline,
      int layer_index,
      CoglPipelineFilter min_filter,
      CoglPipelineFilter mag_filter
    )

#### Description [src]

Changes the decimation and interpolation filters used when a texture is drawn at other scales than 100%.

It is an error to pass anything other than `COGL_PIPELINE_FILTER_NEAREST` or `COGL_PIPELINE_FILTER_LINEAR` as magnification filters since magnification doesn’t ever need to reference values stored in the mipmap chain.

#### Parameters

`layer_index`

  Type: `int`

  The layer number to change.

`min_filter`

  Type: `CoglPipelineFilter`

  The filter used when scaling a texture down.

`mag_filter`

  Type: `CoglPipelineFilter`

  The filter used when magnifying a texture.